From: Alasdair G Kergon <agk@redhat.com>

Fix test for reinstate_path method before attempting to use it.

Signed-off-by: Alasdair G Kergon <agk@redhat.com>
Cc: Julia Lawall <julia@diku.dk>
---
 drivers/md/dm-mpath.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

Index: linux-2.6.26/drivers/md/dm-mpath.c
===================================================================
--- linux-2.6.26.orig/drivers/md/dm-mpath.c	2008-07-20 18:46:04.000000000 +0100
+++ linux-2.6.26/drivers/md/dm-mpath.c	2008-07-20 18:46:06.000000000 +0100
@@ -871,7 +871,7 @@ static int reinstate_path(struct pgpath 
 	if (pgpath->path.is_active)
 		goto out;
 
-	if (!pgpath->pg->ps.type) {
+	if (!pgpath->pg->ps.type->reinstate_path) {
 		DMWARN("Reinstate path not supported by path selector %s",
 		       pgpath->pg->ps.type->name);
 		r = -EINVAL;
